Bug 468056 - (CVE-2008-4640) CVE-2008-4640 jhead: arbitrary file deletion
CVE-2008-4640 jhead: arbitrary file deletion
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,public=20081015,re...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 11:39 EDT by Tomas Hoger
Modified: 2009-03-06 08:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-06 08:11:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 504194 None None None Never

  None (edit)
Description Tomas Hoger 2008-10-22 11:39:39 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4640 to the following vulnerability:

The DoCommand function in jhead.c in Matthias Wandel jhead 2.84 and
earlier allows local users to delete arbitrary files via vectors
involving a modified input filename in which (1) a final "z" character
is replaced by a "t" character or (2) a final "t" character is
replaced by a "z" character.

References:
https://bugs.launchpad.net/ubuntu/+source/jhead/+bug/271020
http://www.openwall.com/lists/oss-security/2008/10/16/3
Comment 1 Adrian Reber 2009-02-16 09:23:57 EST
debian has released jhead 2.86 which seems to fix this error.

http://packages.debian.org/changelogs/pool/main/j/jhead/jhead_2.86-1/changelog.html

I will update jhead to 2.86 on all branches.
Comment 2 Fedora Update System 2009-03-05 11:31:38 EST
jhead-2.86-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-03-05 11:32:34 EST
jhead-2.86-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2009-03-06 08:11:29 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1824
  https://admin.fedoraproject.org/updates/F9/FEDORA-2009-1776

Note You need to log in before you can comment on or make changes to this bug.